## percona-wal2json 2.6

=== Makefile ===
MODULES = wal2json

REGRESS = cmdline insert1 update1 update2 update3 update4 delete1 delete2 \
		  delete3 delete4 savepoint specialvalue toast bytea message typmod \
		  filtertable selecttable include_timestamp include_lsn include_xids \
		  include_domain_data_type truncate type_oid actions position default \
		  pk rename_column numeric_data_types_as_string

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# message API is available in 9.6+
ifneq (,$(findstring $(MAJORVERSION),9.4 9.5))
REGRESS := $(filter-out message, $(REGRESS))
endif

# truncate API is available in 11+
ifneq (,$(findstring $(MAJORVERSION),9.4 9.5 9.6 10))
REGRESS := $(filter-out truncate, $(REGRESS))
endif

# actions API is available in 11+
# this test should be executed in prior versions, however, truncate will fail.
ifneq (,$(findstring $(MAJORVERSION),9.4 9.5 9.6 10))
REGRESS := $(filter-out actions, $(REGRESS))
endif

# make installcheck
#
# It can be run but you need to add the following parameters to
# postgresql.conf:
#
# wal_level = logical
# max_replication_slots = 10
#
# Also, you should start the server before executing it.

## percona-wal2json 2.3

=== debian/changelog ===
percona-wal2json (2.3-1) unstable; urgency=medium

  * Update to new wal2json version 2.3

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 20 May 2021 10:48:20 +0000

percona-wal2json (2.3-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 20 May 2021 10:45:17 +0000

=== debian/control ===
Source: percona-wal2json
Maintainer: Percona Development Team <info@percona.com>
Section: database
Priority: optional
Build-Depends: debhelper, percona-postgresql-all
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: percona-postgresql-11-wal2json
Architecture: any
Depends: percona-postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_pgxs_test:
	pg_buildext \
	-c --locale=C.UTF-8 \
	-o wal_level=logical \
	-o max_replication_slots=5 \
	-o extra_float_digits=0 \
	installcheck build-%v percona-postgresql-%v-wal2json

%:
	dh $@

## percona-wal2json 2.4

=== debian/changelog ===
percona-wal2json (2.4-3) unstable; urgency=medium

  * Update to new wal2json version 2.4

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 26 May 2022 00:10:11 +0000

percona-wal2json (2.4-3) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 26 May 2022 00:04:13 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
-Package: percona-postgresql-11-wal2json
+Package: percona-postgresql-14-wal2json
 Architecture: any
-Depends: percona-postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Depends: percona-postgresql-14 | postgresql-14, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL logical decoding JSON output plugin
  wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
  access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row

## percona-wal2json 2.5

=== debian/changelog ===
percona-wal2json (2.5-6) unstable; urgency=medium

  * Update to new wal2json version 2.5

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-16496>  Wed, 21 Feb 2024 20:49:11 +0000

percona-wal2json (2.5-6) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 21 Feb 2024 20:46:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
-Package: percona-postgresql-14-wal2json
+Package: percona-postgresql-15-wal2json
 Architecture: any
-Depends: percona-postgresql-14 | postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Depends: percona-postgresql-15 | postgresql-15, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL logical decoding JSON output plugin
  wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
  access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row

## percona-wal2json 2.6

=== debian/changelog ===
percona-wal2json (2.6-2) unstable; urgency=medium

  * Update to new wal2json version 2.6

 -- root <root@cf48c5a89e1b>  Fri, 22 Nov 2024 11:53:49 +0000

percona-wal2json (2.6-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 22 Nov 2024 11:50:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
-Package: percona-postgresql-15-wal2json
+Package: percona-postgresql-13-wal2json
 Architecture: any
-Depends: percona-postgresql-15 | postgresql-15, ${misc:Depends}, ${shlibs:Depends}
+Depends: percona-postgresql-13 | postgresql-13, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL logical decoding JSON output plugin
  wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
  access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
